GNU bug report logs - #5007
23.1; comint history doesn't handle multi-character delimiters

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Mark Diekhans <markd@HIDDEN>; merged with #1795, #8027; dated Sat, 21 Nov 2009 17:30:03 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.
bug No longer marked as fixed in versions 24.1. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug unarchived. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug archived. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.
Merged 1795 5007 8027. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 1795 5007. Request was from Glenn Morris <rgm@HIDDEN> to control@HIDDEN. Full text available.

Message received at submit@HIDDEN:


Received: (at submit) by emacsbugs.donarmstrong.com; 21 Nov 2009 17:24:07 +0000
From markd@HIDDEN Sat Nov 21 09:24:07 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=0.1 required=4.0 tests=FOURLA autolearn=no
	version=3.2.5-bugs.debian.org_2005_01_02
Received: from lists.gnu.org (lists.gnu.org [199.232.76.165])
	by rzlab.ucr.edu (8.14.3/8.14.3/Debian-5) with ESMTP id nALHO5RJ009696
	for <submit@HIDDEN>; Sat, 21 Nov 2009 09:24:07 -0800
Received: from mailman by lists.gnu.org with tmda-scanned (Exim 4.43)
	id 1NBtgr-0003IY-Nt
	for bug-gnu-emacs@HIDDEN; Sat, 21 Nov 2009 12:24:05 -0500
Received: from exim by lists.gnu.org with spam-scanned (Exim 4.43)
	id 1NBtgn-0003HK-0i
	for bug-gnu-emacs@HIDDEN; Sat, 21 Nov 2009 12:24:05 -0500
Received: from [199.232.76.173] (port=52719 helo=monty-python.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43)
	id 1NBtgm-0003HB-Os
	for bug-gnu-emacs@HIDDEN; Sat, 21 Nov 2009 12:24:00 -0500
Received: from smtp127.sbc.mail.sp1.yahoo.com ([69.147.65.186]:21469)
	by monty-python.gnu.org with smtp (Exim 4.60)
	(envelope-from <markd@HIDDEN>)
	id 1NBtgl-0001Am-Ta
	for bug-gnu-emacs@HIDDEN; Sat, 21 Nov 2009 12:24:00 -0500
Received: (qmail 55043 invoked from network); 21 Nov 2009 17:23:19 -0000
Received: from osprey.kermodei.org (markd@HIDDEN with login)
        by smtp127.sbc.mail.sp1.yahoo.com with SMTP; 21 Nov 2009 09:23:18 -0800 PST
X-Yahoo-SMTP: knGM_HSswBD5QyvFslEk1_6tqt5exkIU26bBrTLyCA--
X-YMail-OSG: qQV5A0kVM1lmzL2OnpvFlqbH3qsjQ3IGv78MXOYVmeIVwGqh__VRaxMsW5YNrjxlk.MDYpbB.ckQbbCvWby3p4STvNVfcyCdiaYMtH6kijoUfsaKIX3repMnPgumnYsND_C7UahHCeDB9g__Cz4NBXUDJRDs8jaoPm7x300DDyjXR563StRV3CRrjA78G0Gd.QXBb1GeBaDcblDr4nPpkXbPQynA7oHX7PVtJHHBsR1Jl7nIcxaNpawBisfKuYy_oskVoxUydsCo.jusgs4rB4rIR8PmIxnoFc6.NL0olV1C1DHa2ghFHCI2W1Y0pBtzRm.5Ur_0dFBD0hjPW4BSEcnTwdngotmRM_8Tb7dSqSxERssSwRbV
X-Yahoo-Newman-Property: ymail-3
Received: by osprey.kermodei.com (Postfix, from userid 1000)
	id 80A3D95881; Sat, 21 Nov 2009 09:23:18 -0800 (PST)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Message-ID: <19208.8707.951078.487362@HIDDEN>
Date: Sat, 21 Nov 2009 09:23:15 -0800
From: Mark Diekhans <markd@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 23.1; comint history doesn't handle multi-character delimiters
X-detected-operating-system: by monty-python.gnu.org: FreeBSD 6.x (1)


Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the bug-gnu-emacs@HIDDEN mailing list,
and to the gnu.emacs.bug news group.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:


Both bash and csh use multi-character delimiters, yet comint and
shell mode only recognize single character delimiters.  This
results in comint-dynamic-complete corrupting the command.  For instance,
in bash:

    date >& /dev/null
    !!<tab>
    date > & /dev/null

    cat $(ls /dev/null)
    !!<tab>
    cat $ ( ls /dev/null )

    cat <(date)
    !!<tab>
    cat < ( date )

This is extremely frustrating, requiring editing of commands being redone
before executing them.



If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/opt/share/emacs/23.1/etc/DEBUG for instructions.


In GNU Emacs 23.1.1 (x86_64-unknown-freebsd7.1, GTK+ Version 2.16.6)
 of 2009-10-11 on osprey.kermodei.com
configured using `configure  '--prefix=/opt''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: C
  value of $XMODIFIERS: nil
  locale-coding-system: nil
  default-enable-multibyte-characters: nil

Major mode: Shell

Minor modes in effect:
  display-time-mode: t
  shell-dirtrack-mode: t
  tooltip-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Recent input:
C-g m v SPC s h TAB n o t e s . t x t RET RET RET C-x 
C-f n TAB RET M-> M-< ESC O B ESC O B ESC O B ESC O 
B ESC O B ESC O B ESC O A RET RET RET C-x C-s C-x o 
d a t e C-a C-k c a t SPC $ ( d a t e ) RET M-p M-b 
M-d l s SPC / d e v / n u l l C-e RET ! ! TAB RET ESC 
O A ESC O A ESC O A C-a C-@ ESC O B C-e M-w C-x o ESC 
O A ESC O A C-y C-a M-d C-d ESC O A ESC O A ESC O A 
ESC O A C-@ C-e M-w ESC O B ESC O B ESC O B ESC O B 
ESC O A C-e RET C-y C-a C-x C-s C-x o C-x h C-w RET 
c a t SPC < ( d a t e ) C-e TAB C-x o C-x b RET C-x 
o RET ! ! TAB RET ESC O A ESC O A ESC O A ESC O A C-@ 
ESC O B ESC O B C-e M-w C-x o ESC O B ESC O B RET C-y 
C-a M-d C-d ESC O A C-k ESC O A ESC O A ESC O A ESC 
O A C-@ C-e M-w ESC O B ESC O B ESC O B ESC O B C-y 
ESC O B ESC O B RET RET C-x C-s C-x C-s C-x o M-x C-g 
M-x b u g TAB C-a C-e TAB C-g M-x e m TAB a c TAB - 
b TAB C-g M-x r e p TAB o TAB r TAB RET

Recent messages:
Mark set [4 times]
Saving file /a/markd/work/emacs/comint-bug/notes.txt...
Wrote /a/markd/work/emacs/comint-bug/notes.txt
(No changes need to be saved)
Quit
Making completion list...
Quit
Making completion list...
Quit
Making completion list... [2 times]




Acknowledgement sent to Mark Diekhans <markd@HIDDEN>:
New bug report received and forwarded. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Report forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#5007; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.